#ifndef ACTIONHALTANDWAIT_H
#define ACTIONHALTANDWAIT_H

#include "UnitAction.h"
#include "RenderableEntity.h"

#include "MemoryManager/debugNew.h"

class ActionHaltAndWait :public UnitAction
{
public:
	ActionHaltAndWait(Unit* u);
	virtual ~ActionHaltAndWait(void);
	void execute();
};

#include "MemoryManager/debugNewOff.h"

#endif
